<?php
declare(ENCODING = 'utf-8');
namespace F3\TypoScriptTestSite\ViewHelpers;

/*                                                                        *
 * This script belongs to the FLOW3 package "TYPO3".                      *
 *                                                                        *
 * It is free software; you can redistribute it and/or modify it under    *
 * the terms of the GNU General Public License as published by the Free   *
 * Software Foundation, either version 3 of the License, or (at your      *
 * option) any later version.                                             *
 *                                                                        *
 * This script is distributed in the hope that it will be useful, but     *
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHAN-    *
 * TABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General      *
 * Public License for more details.                                       *
 *                                                                        *
 * You should have received a copy of the GNU General Public License      *
 * along with the script.                                                 *
 * If not, see http://www.gnu.org/licenses/gpl.html                       *
 *                                                                        *
 * The TYPO3 project - inspiring people to share!                         *
 *                                                                        */

/**
 * Timer ViewHelper (a really hacky timer actually!)
 *
 * @version $Id:$
 * @license http://www.gnu.org/licenses/gpl.html GNU General Public License, version 3 or later
 * @scope prototype
 */
class TimerViewHelper extends \F3\Fluid\Core\ViewHelper\AbstractViewHelper {

	/**
	 *
	 * @param $mode string 'start' or 'stop'
	 * @return string
	 * @author Bastian Waidelich <bastian@typo3.org>
	 */
	public function render($mode) {
		$currentTime = microtime(TRUE);
		if ($mode === 'start') {
			$this->viewHelperVariableContainer->add('F3\TypoScriptTestSite\ViewHelpers\TimerViewHelper', 'startTime', $currentTime);
			return '';
		}
		$startTime = $this->viewHelperVariableContainer->get('F3\TypoScriptTestSite\ViewHelpers\TimerViewHelper', 'startTime');
		$delta = $currentTime - $startTime;
		return '<p>Processing time: ' . $delta . ' seconds</p>';
	}

}
?>